On 06/09/2014 12:22 PM, Petr Viktorin wrote:
> Hello,
> This fixes https://fedorahosted.org/freeipa/ticket/3963 for master. I'll make 
> a
> slightly less invasive patch for 3.x.
> 
> Basically, the version argument is now expected for all commands (including
> e.g. ping & env), and also when calling the commands in_server.
> If it's not given, a message is returned, so this should should only really
> affect tests that check the output strictly.


Functionally works fine, tested with curl. I see one issue in the test that may
be related:

======================================================================
FAIL: Test the `ipalib.config.Env._finalize_core` method.
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/nose/case.py", line 197, in runTest
    self.test(*self.arg)
  File "/root/freeipa-master/ipatests/test_ipalib/test_config.py", line 572, in
test_finalize_core
    assert o[key] == value, '%r is %r; should be %r' % (key, o[key], value)
AssertionError: 'api_version' is 2.88; should be u'2.88'

Martin

_______________________________________________
Freeipa-devel mailing list
Freeipa-devel@redhat.com
https://www.redhat.com/mailman/listinfo/freeipa-devel

Reply via email to